MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
SLES::Object Class Reference

OO wrapper for an OpenSL/ES SLObjectItf variable. More...

`#include <Object.hxx>`

## Public Member Functions
| Object ()=default
| Object (SLObjectItf _object)
| operator SLObjectItf ()
SLresult | Realize (bool async)
void | Destroy ()
SLresult | GetInterface (const SLInterfaceID iid, void *pInterface)

## Detailed Description

OO wrapper for an OpenSL/ES SLObjectItf variable.

Definition at line 39 of file Object.hxx.

## Constructor & Destructor Documentation

SLES::Object::Object | ( |  | ) |
| default

SLES::Object::Object | ( | SLObjectItf | _object | ) |
| inline explicit

Definition at line 44 of file Object.hxx.

## Member Function Documentation

void SLES::Object::Destroy | ( |  | ) |
| inline

Definition at line 54 of file Object.hxx.

SLresult SLES::Object::GetInterface | ( | const SLInterfaceID | iid,
|  | void * | pInterface
| ) |  |
| inline

Definition at line 58 of file Object.hxx.

SLES::Object::operator SLObjectItf | ( |  | ) |
| inline

Definition at line 46 of file Object.hxx.

SLresult SLES::Object::Realize | ( | bool | async | ) |
| inline

Definition at line 50 of file Object.hxx.

The documentation for this class was generated from the following file:

- output/plugins/sles/Object.hxx